Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/ApplicationWorkbenchAdvisor.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/ApplicationWorkbenchAdvisor.java	(revision 3466)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/ApplicationWorkbenchAdvisor.java	(revision 3467)
@@ -1206,16 +1206,14 @@
 									
 									jobHandler.setTaskName(TXMUIMessages.toolboxReady);
 								}
-								catch (Exception e) {
-									// TODO Auto-generated catch block
+								catch (Throwable e) {
+									System.out.println("Initialisation error: "+e);
 									e.printStackTrace();
 								}
 							}
 							
 							monitor.done();
 						}
-						
-						
 					});
 					
 					Log.fine(TXMUIMessages.loadingViews);
@@ -1241,7 +1239,6 @@
 			return subversion;
 		}
 		catch (IOException e) {
-			// TODO Auto-generated catch block
 			e.printStackTrace();
 		}
 		return "STABLE"; //$NON-NLS-1$
Index: TXM/trunk/org.txm.rcp/SUBVERSION
===================================================================
--- TXM/trunk/org.txm.rcp/SUBVERSION	(revision 3466)
+++ TXM/trunk/org.txm.rcp/SUBVERSION	(revision 3467)
@@ -1 +0,0 @@
-beta
\ No newline at end of file
Index: TXM/trunk/org.txm.whatsnew.rcp/src/org/txm/whatsnew/rcp/DoWhatsNewSetupStep.java
===================================================================
--- TXM/trunk/org.txm.whatsnew.rcp/src/org/txm/whatsnew/rcp/DoWhatsNewSetupStep.java	(revision 3466)
+++ TXM/trunk/org.txm.whatsnew.rcp/src/org/txm/whatsnew/rcp/DoWhatsNewSetupStep.java	(revision 3467)
@@ -32,7 +32,7 @@
 			String lastNewSetupVersionString = NewsEditor.getLastSetupVersion();
 			
 			String currentShownNewSetupVersionString = NewsPreferences.getInstance().getString(NewsPreferences.NEW_SETUP_VERSION);
-			if (currentShownNewSetupVersionString.compareTo(lastNewSetupVersionString) > 0) { // the current version should be greater or equal to the last nest version
+			if (currentShownNewSetupVersionString.compareTo(lastNewSetupVersionString) > 0) { // the current version should be greater or equal to the last newest version
 				currentShownNewSetupVersionString = lastNewSetupVersionString;
 			}
 			NewsPreferences.getInstance().put(NewsPreferences.NEW_SETUP_VERSION, lastNewSetupVersionString);
Index: TXM/trunk/org.txm.whatsnew.rcp/src/org/txm/whatsnew/rcp/NewsPreferencesPage.java
===================================================================
--- TXM/trunk/org.txm.whatsnew.rcp/src/org/txm/whatsnew/rcp/NewsPreferencesPage.java	(revision 3466)
+++ TXM/trunk/org.txm.whatsnew.rcp/src/org/txm/whatsnew/rcp/NewsPreferencesPage.java	(revision 3467)
@@ -24,11 +24,11 @@
 		//this.addField(new BooleanFieldEditor(NewsPreferences.SHOW_NEWS, "Show news when TXM starts up", this.getFieldEditorParent()));
 		
 		this.addField(new BooleanFieldEditor(NewsPreferences.SHOW_NEW_SETUP, "Announce the availability of new versions of TXM/Annoncer la disponibilité de nouvelles versions de TXM", this.getFieldEditorParent()));
-		
+		this.addField(new org.eclipse.jface.preference.StringFieldEditor(NewsPreferences.NEW_SETUP_VERSION, "Current new setup version index", this.getFieldEditorParent()));
 		// enable if dev needs to update the NEWS_VERSION value
 		if (RCPPreferences.getInstance().getBoolean(RCPPreferences.EXPERT_USER)) {
 			this.addField(new org.eclipse.jface.preference.StringFieldEditor(NewsPreferences.NEWS_VERSION, "Current news index", this.getFieldEditorParent()));
-			this.addField(new org.eclipse.jface.preference.StringFieldEditor(NewsPreferences.NEW_SETUP_VERSION, "Current new setup index", this.getFieldEditorParent()));
+			
 		}
 	}
 }
Index: TXM/trunk/org.txm.whatsnew.rcp/src/org/txm/whatsnew/rcp/NewsPreferences.java
===================================================================
--- TXM/trunk/org.txm.whatsnew.rcp/src/org/txm/whatsnew/rcp/NewsPreferences.java	(revision 3466)
+++ TXM/trunk/org.txm.whatsnew.rcp/src/org/txm/whatsnew/rcp/NewsPreferences.java	(revision 3467)
@@ -30,10 +30,10 @@
 		super.initializeDefaultPreferences();
 		
 		Preferences preferences = this.getDefaultPreferencesNode();
-		preferences.putBoolean(SHOW_NEWS, false); // $NON-NLS-1$
+		preferences.putBoolean(SHOW_NEWS, false);
 		preferences.put(NEWS_VERSION, "0"); // $NON-NLS-1$
 		
-		preferences.putBoolean(SHOW_NEW_SETUP, true); // $NON-NLS-1$
-		preferences.put(NEW_SETUP_VERSION, "0"); // $NON-NLS-1$
+		preferences.putBoolean(SHOW_NEW_SETUP, true);
+		preferences.put(NEW_SETUP_VERSION, "0.8.2"); // $NON-NLS-1$
 	}
 }
Index: TXM/trunk/org.txm.groovy.core/src/groovy/org/txm/macro/prototypes/r/PrintRSymbolMacro.groovy
===================================================================
--- TXM/trunk/org.txm.groovy.core/src/groovy/org/txm/macro/prototypes/r/PrintRSymbolMacro.groovy	(revision 0)
+++ TXM/trunk/org.txm.groovy.core/src/groovy/org/txm/macro/prototypes/r/PrintRSymbolMacro.groovy	(revision 3467)
@@ -0,0 +1,38 @@
+package org.txm.macro.r;
+// STANDARD DECLARATIONS
+
+import org.kohsuke.args4j.*
+
+import groovy.transform.Field
+
+import org.txm.Toolbox
+import org.txm.statsengine.r.core.RWorkspace
+import org.txm.statsengine.r.core.RResult
+import org.txm.core.results.TXMResult
+
+if (editor != null) {
+	println "editor: $editor"
+}
+
+def selection = corpusViewSelection
+if (!(selection instanceof TXMResult)) {
+	println "Selection is not a result. Aborting"
+	return
+}
+def symbol = null;
+
+if (selection instanceof RResult) {
+	symbol = ((RResult)selection).getRSymbol();
+//} else if (selection.getStringParameterValue("rsymbol").length() > 0) {
+//	symbol = selection.getStringParameterValue("rsymbol")
+} else {
+	try {
+		symbol = selection.getClass().getDeclaredMethod("getSymbol").invoke(selection)
+	} catch(Exception e) {}
+}
+
+if (symbol != null) {
+	println "R Name of $selection is: $symbol"
+} else {
+	println "$selection has no R representation"
+}
Index: TXM/trunk/org.txm.groovy.core/src/groovy/org/txm/macro/prototypes/r/PrintTableRSymbolAndSelectedLinesNamesMacro.groovy
===================================================================
--- TXM/trunk/org.txm.groovy.core/src/groovy/org/txm/macro/prototypes/r/PrintTableRSymbolAndSelectedLinesNamesMacro.groovy	(revision 0)
+++ TXM/trunk/org.txm.groovy.core/src/groovy/org/txm/macro/prototypes/r/PrintTableRSymbolAndSelectedLinesNamesMacro.groovy	(revision 3467)
@@ -0,0 +1,34 @@
+package org.txm.macro.r;
+// STANDARD DECLARATIONS
+
+import org.kohsuke.args4j.*
+
+import groovy.transform.Field
+
+import org.txm.Toolbox
+import org.txm.statsengine.r.core.RWorkspace
+import org.txm.statsengine.r.core.RResult
+import org.txm.core.results.TXMResult
+
+if (editor == null) {
+	println "No active editor. Aborting"
+	return
+}
+
+if (!(editor instanceof org.txm.lexicaltable.rcp.editors.LexicalTableEditor)) {
+	println "Active editor is not a table lexical editor ($editor). Aborting"
+	return
+}
+
+def table = editor.getResult()
+println "R name is: "+table.getRSymbol()
+
+monitor.syncExec(new Runnable() {
+	public void run() {
+		def selection = editor.getlineTableViewer().getSelection()
+		def names = table.getRowNames().asStringsArray()
+		println "Selection: "+selection.toList()
+		println "Names: "+names[selection.toList()]
+	}
+});
+
Index: TXM/trunk/org.txm.groovy.core/src/groovy/org/txm/macro/prototypes/r/CreateLexicalTableFromRSymbolMacro.groovy
===================================================================
--- TXM/trunk/org.txm.groovy.core/src/groovy/org/txm/macro/prototypes/r/CreateLexicalTableFromRSymbolMacro.groovy	(revision 0)
+++ TXM/trunk/org.txm.groovy.core/src/groovy/org/txm/macro/prototypes/r/CreateLexicalTableFromRSymbolMacro.groovy	(revision 3467)
@@ -0,0 +1,45 @@
+package org.txm.macro.r;
+// STANDARD DECLARATIONS
+
+import org.kohsuke.args4j.*
+import groovy.transform.Field
+import org.txm.Toolbox
+import org.txm.statsengine.r.core.RWorkspace
+import org.txm.statsengine.r.core.RResult
+import org.txm.core.results.TXMResult
+import org.kohsuke.args4j.*
+import groovy.transform.Field
+import org.txm.rcp.swt.widget.parameters.*
+import org.txm.lexicaltable.core.statsengine.r.data.LexicalTableImpl
+import org.txm.lexicaltable.core.functions.LexicalTable
+import org.txm.searchengine.cqp.corpus.MainCorpus
+
+def selection = corpusViewSelection
+if (!(selection instanceof TXMResult)) {
+	println "Selection is not a result. Aborting"
+	return
+}
+
+@Field @Option(name="r_table_symbol", usage="R symbol of the R table to import", widget="String", required=false, def="")
+def r_table_symbol
+
+if (!ParametersDialog.open(this)) return
+
+if (!RWorkspace.getRWorkspaceInstance().containsVariable(r_table_symbol)) {
+	println "Error: no R object found for symbol '$r_table_symbol'"
+	return
+}
+def corpus = corpusViewSelection
+if (!(corpus instanceof MainCorpus)) {
+	corpus = corpus.getFirstParent(MainCorpus.class)
+}
+
+def lt = new LexicalTable(corpus);
+lt.setData(new LexicalTableImpl(r_table_symbol))
+lt.compute()
+
+monitor.syncExec(new Runnable() {
+	public void run() {
+		org.txm.rcp.views.corpora.CorporaView.reload()
+	}
+});
\ No newline at end of file
Index: TXM/trunk/org.txm.core/src/java/org/txm/objects/Project.java
===================================================================
--- TXM/trunk/org.txm.core/src/java/org/txm/objects/Project.java	(revision 3466)
+++ TXM/trunk/org.txm.core/src/java/org/txm/objects/Project.java	(revision 3467)
@@ -1144,6 +1144,8 @@
 				
 				rcpProject.delete(true, true, new LogMonitor("Cleaning " + this));
 				
+				rcpProject.refreshLocal(IResource.DEPTH_INFINITE, new LogMonitor("Refresh workspace " + this));
+				
 				// Toolbox.getEngineManager(EngineType.SEARCH).getEngine("CQP").start(null); //$NON-NLS-1$
 			}
 			catch (Exception e) {
